Skip to main content
GET
/
v0
/
price-tracking
/
history
/
{canonical_product_id}
Python
import os
from channel3_sdk import Channel3

client = Channel3(
    api_key=os.environ.get("CHANNEL3_API_KEY"),  # This is the default and can be omitted
)
price_history = client.price_tracking.get_history(
    canonical_product_id="canonical_product_id",
)
print(price_history.canonical_product_id)
{
"canonical_product_id": "<string>",
"product_title": "<string>",
"history": [],
"statistics": {
"mean": 123,
"std_dev": 123,
"min_price": 123,
"max_price": 123,
"current_price": 123,
"current_status": "low",
"currency": "<string>"
}
}

Authorizations

x-api-key
string
header
required

Path Parameters

canonical_product_id
string
required

Query Parameters

days
integer
default:30

Number of days of history to fetch (max 30)

Required range: 1 <= x <= 30

Response

Successful Response

canonical_product_id
string
required
product_title
string | null
history
PriceHistoryPoint · object[]
statistics
PriceStatistics · object